/*
 * Copyright 2016 Miroslav Janíček
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.classdump.luna.compiler.util;

import java.io.PrintStream;
import java.io.PrintWriter;
import org.classdump.luna.compiler.IRFunc;

public class IRPrinter {

  public static void printFunc(IRFunc fn, PrintWriter writer) {
    IRPrinterVisitor visitor = new IRPrinterVisitor(writer);
    visitor.visit(fn);
    writer.flush();
  }

  public static void printFunc(IRFunc fn, PrintStream out) {
    printFunc(fn, new PrintWriter(out));
  }

}
